//
//  ItemSeriesEpisodeIconView.swift
//  Jel
//
//  Created by zerocool on 2/14/24.
//

import SwiftUI
import JellyfinKit
import ExpandableText

struct ItemSeriesEpisodeIconView: View {
  var item: BaseItemDto
  
  @EnvironmentObject var size: ScreenSize
  
  var iconWidthMultiplier: CGFloat = 0.35
  
  var body: some View {
    VStack(alignment: .leading) {
      HStack(alignment: .top) {
        ItemIconView(item: item, width: (size.size.width * iconWidthMultiplier), height: (size.size.width * iconWidthMultiplier) / 1.7)
        
        VStack(alignment: .leading) {
          Text("Episode \(item.indexNumber ?? 0)")
            .foregroundStyle(Color.secondary)
            .font(.caption)
          Text(item.name ?? "---")
            .bold()
            .lineLimit(nil)
          
          Text(item.overview ?? "")
            .foregroundStyle(Color.secondary)
            .font(.callout)
          
          Spacer()
        }
        .frame(height: (size.size.width * iconWidthMultiplier) / 1.7)
      }
    }
  }
}

//#Preview {
//    ItemSeriesEpisodeIconView()
//}
